#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::paintEvent(QPaintEvent *event)
{
    QPainterPath rectPath;
    rectPath.addRect(QRect(150,20,200,200));
    QPainter pathPainter(this);
    pathPainter.setPen(QPen(Qt::GlobalColor::red, 1, Qt::DashLine, Qt::FlatCap, Qt::MiterJoin));
    pathPainter.setBrush(Qt::GlobalColor::yellow);
    pathPainter.drawPath(rectPath);

    //draw ellipse

    QPainterPath ellipsePath;
    ellipsePath.addEllipse(QPoint(200,120), 50,20);
    QPainter ellipsePainter(this);
    ellipsePainter.setPen(QPen(Qt::GlobalColor::red, 1, Qt::DashLine, Qt::FlatCap, Qt::MiterJoin));
    ellipsePainter.setBrush(Qt::GlobalColor::yellow);
    ellipsePainter.drawPath(ellipsePath);


}

